cccicl
cccicl
发布于 1个月前

vue-cli里执行npm run dev 后一直报错'can not find webpack'解决办法

前几天启动一个vue项目,从git上面clone下来后,常规操作cnpm i反向安装后,开始报错

安装依赖失败造成项目启动后报错的原因,无非是cnpm i 启动淘宝源拉取失败或者当前网络环境不稳定的情况下,node_moudel里面部分依赖拉取不完成,我的解决方案就是哪里报错,从哪里解决

cnpm  install babel-loader --save  //解决截图中platform unsupported @vue/cli-plugin-babel@3.12.1 问题
//再次执行cnpm i 然后启动项目
 npm run dev   

再次报错,报错缘由 ERROR Error: Cannot find module 'webpack' 我查看了项目的所有依赖,该项目里面并没有使用webpack的地方,下一步报错的提示指向:

 E:\node_modules\_webpack-dev-server@3.10.3@webpack-dev-server\lib\Server.js

查看了我的电脑webpack-dev-serve的版本是2.9.7 而我项目里面的node_module是里面拉取的是3.10.3,版本不一致,不知道是不是这个原因引起的,尝试将webpack-dev-serve版本安装到指定版本3.10.3,并同时将webpack升级到4.3,再次启动npm run dev 后项目可以正常启动

©2020 edoou.com   京ICP备16001874号-3